Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class RangeTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.RangeTypeImpl

All Implemented Interfaces:
  RangeType

    public class RangeTypeImpl

extends java.lang.Object
implements RangeType

Nested Class Summary
`class` | `RangeTypeImpl.Unmarshaller`

Field Summary
`protected java.lang.String` | `_Begin`
`protected java.lang.String` | `_End`
`protected java.lang.String` | `_Unit`
`static java.lang.Class` | `version`

Constructor Summary
`RangeTypeImpl()`

Method Summary
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.lang.String` | `getBegin()` Gets the value of the begin property.
`java.lang.String` | `getEnd()` Gets the value of the end property.
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.String` | `getUnit()` Gets the value of the unit property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setBegin(java.lang.String value)` Sets the value of the begin property.
`void` | `setEnd(java.lang.String value)` Sets the value of the end property.
`void` | `setUnit(java.lang.String value)` Sets the value of the unit property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _End

    protected java.lang.String _End

### _Begin

    protected java.lang.String _Begin

### _Unit

    protected java.lang.String _Unit

### version

    public static final java.lang.Class version

Constructor Detail

### RangeTypeImpl

    public RangeTypeImpl()

Method Detail

### getEnd

    public java.lang.String getEnd()

  Description copied from interface: `RangeType`
  Gets the value of the end property.

  Specified by:
    `getEnd` in interface `RangeType`
  Returns:
    possible object is `String`

### setEnd

    public void setEnd(java.lang.String value)

  Description copied from interface: `RangeType`
  Sets the value of the end property.

  Specified by:
    `setEnd` in interface `RangeType`
  Parameters:
    `value` - allowed object is `String`

### getBegin

    public java.lang.String getBegin()

  Description copied from interface: `RangeType`
  Gets the value of the begin property.

  Specified by:
    `getBegin` in interface `RangeType`
  Returns:
    possible object is `String`

### setBegin

    public void setBegin(java.lang.String value)

  Description copied from interface: `RangeType`
  Sets the value of the begin property.

  Specified by:
    `setBegin` in interface `RangeType`
  Parameters:
    `value` - allowed object is `String`

### getUnit

    public java.lang.String getUnit()

  Description copied from interface: `RangeType`
  Gets the value of the unit property.

  Specified by:
    `getUnit` in interface `RangeType`
  Returns:
    possible object is `String`

### setUnit

    public void setUnit(java.lang.String value)

  Description copied from interface: `RangeType`
  Sets the value of the unit property.

  Specified by:
    `setUnit` in interface `RangeType`
  Parameters:
    `value` - allowed object is `String`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD